;; -*-emacs-lisp-*-
;;
;; Emacs startup file for the Debian GNU/Linux gnuplot-mode package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@vanzandt.mv.com>

;; The gnuplot-mode package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.

(if (not (file-exists-p "/usr/share/emacs/site-lisp/gnuplot-mode"))
    (message "Package gnuplot-mode removed but not purged. Skipping setup")
  
  ;; We have to add this to the load-path:
  (debian-pkg-add-load-path-item
   (concat "/usr/share/"
	   (symbol-name debian-emacs-flavor)
	   "/site-lisp/gnuplot-mode"))
  
  ;; these lines enable the use of gnuplot mode
  (autoload 'gnuplot-mode "gnuplot" "gnuplot major mode" t)
  (autoload 'gnuplot-make-buffer "gnuplot" "open a buffer in gnuplot mode" t)
  
  ;; this line automatically causes all files with the .gp extension to
  ;; be loaded into gnuplot mode
  (setq auto-mode-alist (append '(("\\.gp\\'" . gnuplot-mode)
                                  ("\\.gnuplot\\'" . gnuplot-mode)
                                  ) auto-mode-alist))
  
  ;; This line binds the function-9 key so that it opens a buffer into
  ;; gnuplot mode
  ;;  (global-set-key [(f9)] 'gnuplot-make-buffer)
  )
